/*********************************************************************
 * C#: A Beginner's Guide © 2015
 * McGraw-Hill Education
 * http://mhprofessional.com/computingdownload
 *********************************************************************/
using System;

namespace Starter {
    class Program {
        public static void Main() {
            const int NUM_ISLANDS = 3;
            const int HAWAII      = 0;
            const int MAUI        = 1;
            const int OAHU        = 2;

            // Part A: Assigning size in the declaration.
            string[] name = new string[NUM_ISLANDS];
            name[HAWAII] = "Hawaii"; // 1st element at index '0'
            name[MAUI]   = "Maui";   // 2nd element at index '1'
            name[OAHU]   = "Oahu";   // 3rd element at index '2'

            // Part B: Assigning size later in the program.
            int[] population;
            population         = new int[NUM_ISLANDS];
            population[HAWAII] = 187200;
            population[MAUI]   = 145000;
            population[OAHU]   = 955000;

            // Part C: Initializing the array and size in the declaration.
            float[] squareMiles = new float[] { 4028.0f, 727.2f, 596.7f };

            int island = MAUI;
            Console.WriteLine("* Statistics for " + name[island] + " *");
            Console.WriteLine("Population: " + population[island]);
            Console.WriteLine("Square miles: " + squareMiles[island]);
            Console.ReadLine();
        }
    }
}
