/*********************************************************************
 * C#: A Beginner's Guide © 2015
 * McGraw-Hill Education
 * http://mhprofessional.com/computingdownload
 *********************************************************************/
using System;

namespace ConsoleApplication1 {
     class Program {
        // Console applications always start in the Main() method.
        private static void Main() {
            const float MILEAGE = 98.0f;
            float kilometers = ConvertToKM(MILEAGE); // Calling instruction.
            ShowDistance(MILEAGE, kilometers);       // Calling instruction.
            Console.ReadLine();
        }

        // Display the mile to km conversion in a reader friendly format.
        private static float ConvertToKM(float miles) {
            const float KM_PER_MILE = 1.60934f;
            return miles*KM_PER_MILE; // Returns a float.
        }

        // Convert miles to km and show the result.
        private static void ShowDistance(float miles, float km ) {
            Console.WriteLine(miles + " miles = " + km + " km.");
        }
    }
}
