/*********************************************************************
 * C#: A Beginner's Guide © 2015
 * McGraw-Hill Education
 * http://mhprofessional.com/computingdownload
 *********************************************************************/
using System;

namespace ConsoleApplication1 {
    class Program {
        private static void Main() {
            // Call overload with no fax.
            DisplayContact("Banana Republic Women", "735 State Street",
                "Santa Barbara", "CA", "93101");
            Console.WriteLine();

            // Call overload with fax.
            DisplayContact("Legal Aid Society", "1223 West Sixth Street",
                "Cleveland", "OH", "44113", "216-586-3220");
            Console.ReadLine();
        }

        // Overload with no fax.
        private static void DisplayContact(string orgName, string street, string city,
                                           string state, string zip) {
            Console.WriteLine(orgName);
            Console.WriteLine(street);
            Console.WriteLine(city + ", " + state);
            Console.WriteLine(zip);
        }

        // Overload with fax.
        private static void DisplayContact(string orgName, string street, string city,
                                           string state, string zip, string fax) {
            // Use DisplayContact() overload with no fax.
            DisplayContact(orgName, street, city, state, zip);
            Console.WriteLine("fax: " + fax); // Show fax.
        }
    }
}
