/*********************************************************************
 * C#: A Beginner's Guide © 2015
 * McGraw-Hill Education
 * http://mhprofessional.com/computingdownload
 *********************************************************************/
using System;

namespace Starter {
    class Program {
        // Define constants to store tornado classifications.
        private const int INACTIVE = -1;
        private const int F0 = 0, F1 = 1, F2 = 2, F3 = 3;

        public static void Main() {
            int strength = INACTIVE;
            ShowWarning(strength); // Call ShowWarning() method.
            strength = F3;
            ShowWarning(strength); // Call ShowWarning() method.
            Console.ReadLine();
        }

        // Show warning based on tornado strength.
        public static void ShowWarning(int strength) {
            if (strength == F3) {
                Console.WriteLine("F3+: Severe damage warning.");
            }
            else if (strength == F2) {
                Console.WriteLine("F2: Significant damage warning.");
            }
            else if (strength == F1) {
                Console.WriteLine("F1: Moderate damage warning.");
            }
            else {
                Console.WriteLine("Inactive: No damage expected.");
            }
        }
    }
}
