/*********************************************************************
 * C#: A Beginner's Guide © 2015
 * McGraw-Hill Education
 * http://mhprofessional.com/computingdownload
 *********************************************************************/
using System;

namespace Starter {
    class Program {
        private const int F1 = 1, F2 = 2, F5 = 5;

        public static void Main() {
            Console.WriteLine("* Statistics for F2 tornado*");
            ShowFrequency(F2);
            Console.WriteLine("* Statistics for F5 tornado*");
            ShowFrequency(F5);
            Console.ReadLine();
        }

        private static void ShowFrequency(int tornadoRating) {
            int minimumSpeed = 0;       // Miles per hour.
            switch (tornadoRating) {
                // Start switch.
                case F1:                // Check for matching value.
                    minimumSpeed = 73;  // Execute this block if match.
                    ShowData(minimumSpeed);
                    break;              // Exit switch.
                case F2:                // Check for matching value.
                    minimumSpeed = 112; // Execute this block if match.
                    ShowData(minimumSpeed);
                    break;              // Exit switch.
                default:                // Default code if no case match.
                    Console.WriteLine("Information not available.");
                    Console.WriteLine();
                    break;              // Exit switch.
            }                           // End switch.
        }

        private static void ShowData(int minimumSpeed) {
            Console.WriteLine("Minimum wind speed: " + minimumSpeed);
            Console.WriteLine();
        }
    }
}
