/*********************************************************************
 * C#: A Beginner's Guide © 2015
 * McGraw-Hill Education
 * http://mhprofessional.com/computingdownload
 *********************************************************************/
using System;

namespace Starter {
    class Program {
        public static void Main() {
            // Store daily work time.
            const int DAY = 0, HRS = 9, MIN = 34, SEC = 38;
            TimeSpan   ts = new TimeSpan(DAY, HRS, MIN, SEC);
            Console.WriteLine(ts.Days    + " days "
                            + ts.Hours   + " hours "
                            + ts.Minutes + " minutes "
                            + ts.Seconds + " seconds ");

            Console.WriteLine("TimeSpan in Days: "    + ts.TotalDays .ToString("N2"));
            Console.WriteLine("TimeSpan in Hours: "   + ts.TotalHours.ToString("N2"));
            Console.WriteLine("TimeSpan in Minutes: " + ts.TotalMinutes.ToString("N2"));
            Console.WriteLine("TimeSpan in Seconds: " + ts.TotalSeconds);
            Console.ReadLine();
        }
    }
}
