/*********************************************************************
 * C#: A Beginner's Guide © 2015
 * McGraw-Hill Education
 * http://mhprofessional.com/computingdownload
 *********************************************************************/
using System;

namespace Starter {
    class Program {
        public static void Main() {
            // Object creation.
            Location empireStateBldg = new Location(350, " 5th Avenue");
            Location republicPlaza   = new Location();

            // Call public method to store data in object.
            republicPlaza.SetLocation(9, "Raffles Place");
            
            // Use object to access a public method for display.
            empireStateBldg.DisplayLocation();
            republicPlaza.DisplayLocation();
            Console.ReadLine();
        }
    }

    // Class declaration.
    class Location {
        // Private data members.
        private int  streetNumber;
        private string streetName;

        // Default constructor.
        public Location() {
        }

        // Overloaded constructor.
        public Location(int streetNumber, string streetName) {
            this.streetName   = streetName;
            this.streetNumber = streetNumber;
        }

        // Publicly accessible methods.
        public void SetLocation(int streetNumber, string streetName) {
            this.streetName   = streetName;
            this.streetNumber = streetNumber;
        }

        public void DisplayLocation() {
            Console.Write(streetNumber + " ");
            Console.WriteLine(streetName);
        }
    }
}
