/*********************************************************************
 * C#: A Beginner's Guide © 2015
 * McGraw-Hill Education
 * http://mhprofessional.com/computingdownload
 *********************************************************************/
using System;

namespace Starter {
    public class Program {
        public static void Main() {
            const int NUM_MAMMALS = 3;
            // Declare array of Mammal Objects
            Mammal[] mammals = new Mammal[NUM_MAMMALS];

            // Initialize array with different mammal types
            // using polymorphism.
            mammals[0] = new Lion();
            mammals[1] = new Bear();
            mammals[2] = new Mammal();
            foreach (Mammal mammalGroup in mammals) {
                mammalGroup.DisplayMammalType();
            }
            Console.ReadLine();
        }
    }

    public class Mammal {
        // Base class
        public virtual void DisplayMammalType() {
            Console.WriteLine("I am a Mammal!");
        }
    }

    public class Lion : Mammal {
        // Child class
        public override void DisplayMammalType() {
            Console.WriteLine("I am a Lion!");
        }
    }

    public class Bear : Mammal {
        // Child class
        public override void DisplayMammalType() {
            Console.WriteLine("I am a Bear!");
        }
    }
}
