/*********************************************************************
 * C#: A Beginner's Guide © 2015
 * McGraw-Hill Education
 * http://mhprofessional.com/computingdownload
 *********************************************************************/
using System;
using System.Collections.Generic;

namespace Starter {
    class Program {
        public static void Main() {
            // Create a KeyValuePair item that stores a Myth object.
            const int BIBLIOGRAPHY_ID   = 1039;
            Myth kingOfIthaca           = new Myth("Odysseus", "Ulysses");
            KeyValuePair<int, Myth> kvp = new KeyValuePair<int, Myth>
                (BIBLIOGRAPHY_ID, kingOfIthaca);

            // Display the 'key' and 'values' stored in the KeyValuePair.
            Console.WriteLine("Key   = {0}", kvp.Key);
            Console.WriteLine("Value = {0}", kvp.Value.GreekName);
            Console.WriteLine("Value = {0}", kvp.Value.RomanName);
            Console.ReadLine();
        }
    }

    public class Myth {
        public string GreekName { get; private set; }
        public string RomanName { get; private set; }

        public Myth(string greekName, string romanName) {
            GreekName = greekName;
            RomanName = romanName;
        }
    }
}
