/*********************************************************************
 * C#: A Beginner's Guide © 2015
 * McGraw-Hill Education
 * http://mhprofessional.com/computingdownload
 *********************************************************************/
using System;

namespace Starter {
    class Program {
        // Declare delegate type.
        private delegate float Average(int x, int y);

        public static void Main() {
            // Declare anonymous function reference.
            Average average;

            // Assign body of the anonymous function.
            average = (int x, int y) => {
                float z;
                z = (x + y)/2.0f;
                return z;
            };
            // Invoke the anonymous function.
            Console.WriteLine(average(9, 2).ToString("N1"));

            // Re-assign the body of the anonymous function.
            average = (x, y) => (x + y)/2.0f;

            // Invoke the anonymous function with the simplified body.
            Console.WriteLine(average(9, 2).ToString("N1"));
            Console.ReadLine();
        }
    }
}
