/*********************************************************************
 * C#: A Beginner's Guide © 2015
 * McGraw-Hill Education
 * http://mhprofessional.com/computingdownload
 *********************************************************************/
using System;

namespace Starter {
    class Program {
        public static void Main() {
            // Declare an anonymous function with two integer parameters
            // and a float return type.
            Func<int, int, float> average;

            // Assign a body that calculates the average.
            average = (int x, int y) => {
                float z;
                z = (x + y)/2.0f;
                return z;
            };
            // Invoke the anonymous function.
            Console.WriteLine(average(9, 2).ToString("N1"));

            // Simplified body to calculate average.
            average = (x, y) => (x + y)/2.0f;

            // Invoke the anonymous function with the simplified body.
            Console.WriteLine(average(9, 2).ToString("N1"));
            Console.ReadLine();
        }
    }
}
