/*********************************************************************
 * C#: A Beginner's Guide © 2015
 * McGraw-Hill Education
 * http://mhprofessional.com/computingdownload
 *********************************************************************/
using System;
using System.Collections.Generic;
using System.Linq;

namespace ConsoleApplication1 {
    class Program {
        private static void Main() {
            // Reference the database.
            FoodStoreEntities   dbContext = new FoodStoreEntities();
            
            // Execute the stored procedure with two parameter values.
            var productDetail = dbContext.spProductDetail("Cookie Dough", "GFS");
            
            // Display data retrieved from the stored procedure.
            foreach (var row in productDetail) {
                float price   = (float) row.price;
                Console.Write(row.name + " $" + price.ToString("N2") + " ");
                Console.WriteLine(row.vendor);
            }
            Console.ReadLine();
        }
    }
}
