/*********************************************************************
 * C#: A Beginner's Guide © 2015
 * McGraw-Hill Education
 * http://mhprofessional.com/computingdownload
 *********************************************************************/
using System;
using System.Collections.Generic;
using System.Linq;

namespace ConsoleApplication1 {
    class Program {
        private static void Main() {
            FoodStoreEntities context = new FoodStoreEntities(); // Reference database.
            var query = from p in context.Products
                select new {p.name, p.vendor};                   // Select columns.

            foreach (var item in query)                          // Show rows.
                Console.WriteLine(item.name + " - " + item.vendor);
            Console.ReadLine();
        }
    }
}
