/*********************************************************************
 * C#: A Beginner's Guide © 2015
 * McGraw-Hill Education
 * http://mhprofessional.com/computingdownload
 *********************************************************************/
using System;
using System.Collections.Generic;
using System.Linq;

namespace ConsoleApplication1 {
    class Program {
        private static void Main() {
            FoodStoreEntities context = new FoodStoreEntities();  // Reference database.
            var query = from   p in context.Products
                        where  p.price > 0.99m && p.price < 2.00m // Apply filter.
                        select p;
            foreach (var item in query) { // Show rows.
                decimal   price = (decimal)item.price;
                string priceStr =  price.ToString("C");
                Console.WriteLine(item.name + " - " + priceStr);
            }
            Console.ReadLine();
        }
    }
}
