/*********************************************************************
 * C#: A Beginner's Guide © 2015
 * McGraw-Hill Education
 * http://mhprofessional.com/computingdownload
 *********************************************************************/
using System;
using System.Collections.Generic;
using System.Linq;

namespace ConsoleApplication1 {
    class Program {
        private static void Main() {
            FoodStoreEntities context = new FoodStoreEntities(); // Reference database.
            var query = from p in context.Products
                        orderby p.vendor, p.price                // Set order.
                        select p;

            foreach (Product product in query) {                 // Show rows.
                decimal price   = (decimal) product.price;
                string priceStr = price.ToString("C");
                Console.WriteLine(product.name + " - " + product.vendor
                                               + " - " + priceStr);
            }
            Console.ReadLine();
        }
    }
}
