/*********************************************************************
 * C#: A Beginner's Guide © 2015
 * McGraw-Hill Education
 * http://mhprofessional.com/computingdownload
 *********************************************************************/
using System;
using System.Collections.Generic;
using System.Linq;

namespace ConsoleApplication1 {
    class Program {
        private static void Main() {
            FoodStoreEntities context = new FoodStoreEntities(); // Reference database.
            var gfsProducts = from p in context.Products         // First query.
                              where p.vendor == "GFS"
                              select p;

            var query = from p in gfsProducts                    // Combine query.
                              where p.name.StartsWith("C")
                              select p;

            foreach (Product product in query)                   // Show rows.
                Console.WriteLine(product.name + " - " + product.vendor);
            Console.ReadLine();
        }
    }
}
