/*********************************************************************
 * C#: A Beginner's Guide © 2015
 * McGraw-Hill Education
 * http://mhprofessional.com/computingdownload
 *********************************************************************/
using System;
using System.Collections.Generic;
using System.Linq;

namespace ConsoleApplication1 {
    class Program {
        private static void Main() {
            FoodStoreEntities context = new FoodStoreEntities(); // Reference database.
            var products = context.Products.Select(              // Get Product detail.
                p => new {Name = p.name, Vendor = p.vendor});

            foreach (var row in products)                        // Show Product detail.
                Console.WriteLine(row.Name + " - " + row.Vendor);
            Console.ReadLine();
        }
    }
}
