/*********************************************************************
 * C#: A Beginner's Guide © 2015
 * McGraw-Hill Education
 * http://mhprofessional.com/computingdownload
 *********************************************************************/
using System;
using System.Collections.Generic;
using System.Linq;

namespace ConsoleApplication1 {
    class Program {
        private static void Main() {
            FoodStoreEntities context = new FoodStoreEntities(); // Reference database.
            var                 query = context.Products         // Query unique names.
                              .Select(p => new { Name = p.name }).Distinct();

            foreach (var item in query)                          // Show detail.
                Console.WriteLine(item.Name);
            Console.ReadLine();
        }
    }
}
