/*********************************************************************
 * C#: A Beginner's Guide © 2015
 * McGraw-Hill Education
 * http://mhprofessional.com/computingdownload
 *********************************************************************/
using System;
using System.Collections.Generic;
using System.Linq;

namespace ConsoleApplication1 {
    class Program {
        private static void Main() {
            FoodStoreEntities context = new FoodStoreEntities(); // Reference database.
            var              products = context.Products         // Query products.
                            .OrderBy(p => p.vendor)
                            .ThenByDescending(p => p.name);

            foreach (var p in products)                          // Show detail.
                Console.WriteLine(p.productID + ", " + p.name + ", " + p.vendor);
            Console.ReadLine();
        }
    }
}
