/*********************************************************************
 * C#: A Beginner's Guide © 2015
 * McGraw-Hill Education
 * http://mhprofessional.com/computingdownload
 *********************************************************************/
using System;
using System.Collections.Generic;
using System.Linq;

namespace ConsoleApplication1 {
    class Program {
        private static void Main() {
            FoodStoreEntities context = new FoodStoreEntities(); // Reference database.
            var           gfsProducts                            // Get 'GFS' products
                                      = context.Products.Where(p => p.vendor == "GFS");
            var finalQuery                                       // starting with 'C'.
                                      = gfsProducts.Where(p => p.name.StartsWith("C"));

            foreach (Product p in finalQuery)                    // Show detail.
                Console.WriteLine(p.productID + ", " + p.name + ", " + p.vendor);
            Console.ReadLine();
        }
    }
}
