/*********************************************************************
 * C#: A Beginner's Guide © 2015
 * McGraw-Hill Education
 * http://mhprofessional.com/computingdownload
 *********************************************************************/
using System;
using System.Collections.Generic;
using System.Linq;

namespace ConsoleApplication1 {
    class Program {
        private static void Main() {
            FoodStoreEntities context = new FoodStoreEntities(); // Reference database.
            Invoice invoice = (from   i in context.Invoices      // Get parent objects.
                               where  i.invoiceNum == 1004
                               select i).FirstOrDefault();
            Product product = (from   p in context.Products
                               where  p.productID == 4
                               select p).FirstOrDefault();

            if (invoice.Products.Contains(product)) {            // Check for nulls.
                invoice.Products.Remove(product);                // Delete object.
                context.SaveChanges();
            }
            var invoices = from i in context.Invoices
                where i.invoiceNum == 1004
                select i;
            foreach (var i in invoices)
                foreach (var p in i.Products)
                    Console.WriteLine("invoice: " + i.invoiceNum + " "
                                    + "productID: " + p.productID);
            Console.ReadLine();
        }
    }
}
