/*********************************************************************
 * C#: A Beginner's Guide © 2015
 * McGraw-Hill Education
 * http://mhprofessional.com/computingdownload
 *********************************************************************/
using System;
using Newtonsoft.Json.Linq;

namespace Starter {
    class Program {
        public static void Main() {
            // Create parent JSON object.
            dynamic registrant   = new JObject();
            registrant.FirstName = "Ben";
            registrant.LastName  = "Wu";
            registrant.Age       = 7;
            registrant.Paid      = 60.50;

            dynamic camps        = new JArray();  // Create 'Camps' array.
            dynamic aug2         = new JObject(); // Add first day to array.
            aug2.Day             = "Aug. 2";
            aug2.Lunch           = true;
            camps.Add(aug2);
            registrant.Camps     = camps;         // Append array to registrant.

            dynamic aug          = new JObject(); // Add second day to array.
            aug.Day              = null;
            aug.Lunch            = true;
            registrant.Camps.Add(aug);
            Console.WriteLine(registrant);
            Console.ReadLine();
        }
    }
}
