/*********************************************************************
 * C#: A Beginner's Guide © 2015
 * McGraw-Hill Education
 * http://mhprofessional.com/computingdownload
 *********************************************************************/
using System;
using Newtonsoft.Json;
using Newtonsoft.Json.Linq;

namespace ConsoleApplication1 {
    class Program {
        private static void Main() {
            string strJson = @"{'FirstName':'Ben','LastName':'Wu','Age':7,"
                             + "'Paid':60.50,"
                             + "'Camps':[{'Day':'Aug. 2','Lunch':true},"
                             + "{'Day':null,'Lunch':true}]}";
            // Create object and show properties.
            dynamic jsonObject = JObject.Parse(strJson);
            Console.WriteLine("Name: " + jsonObject.FirstName + " " //
                                       + jsonObject.LastName);
            dynamic camps = jsonObject.Camps; // Store array separately.

            for (int i = 0; i < camps.Count; i++) {
                string day = "*null*";
                if (camps[i].Day != null)
                    day = camps[i].Day;

                Console.WriteLine(day + " Lunch: " + camps[i].Lunch);
            }
            Console.ReadLine();
        }
    }
}
