/*********************************************************************
 * C#: A Beginner's Guide © 2015
 * McGraw-Hill Education
 * http://mhprofessional.com/computingdownload
 *********************************************************************/
using System;

namespace ConsoleApplication1 {
    class Program {
        private static void Main() {
            const int MON = 0, TUE = 1, WED = 2, THU = 3, FRI = 4;  // Day.
            const int LOW = 0, HIGH = 1;                            // Temperature.
            const int NUM_DAYS = 5, NUM_WEATHER_STATS = 2;          // Dimension sizes.
            
            // Declare and initialize array.
            int[,] forecast = new int[NUM_DAYS, NUM_WEATHER_STATS];

            // Assign values to each element in array.
            forecast[MON, LOW]  = 70;
            forecast[MON, HIGH] = 79;
            forecast[TUE, LOW]  = 68;
            forecast[TUE, HIGH] = 82;
            forecast[WED, LOW]  = 69;
            forecast[WED, HIGH] = 80;
            forecast[THU, LOW]  = 71;
            forecast[THU, HIGH] = 81;
            forecast[FRI, LOW]  = 67;
            forecast[FRI, HIGH] = 78;

            // Show Wednesday's forecast.
            Console.WriteLine("Wednesday's forecast is for a low  temperature of "
                            + forecast[WED, LOW] + " and a high temperature of "
                            + forecast[WED, HIGH] + ".");
            Console.ReadLine();
        }
    }
}
