/*********************************************************************
 * C#: A Beginner's Guide © 2015
 * McGraw-Hill Education
 * http://mhprofessional.com/computingdownload
 *********************************************************************/
using System;

namespace Starter {
    class Program {
        private const int FIRST = 1;

        // Define Planet enumeration with enumerators in descending order.
        private enum Planet {
            Jupiter = FIRST, Saturn, Uranus, 
            Neptune, Earth, Venus, Mars, Mercury, Pluto
        };

        public static void Main() {
            // Store all planet names in an array and output the length.
            string[] planetNames = Enum.GetNames(typeof (Planet));
            Console.WriteLine("Total planets: " + planetNames.Length);

            // Display size ranking for Earth.
            Console.WriteLine("Earth size rank = " + (int) Planet.Earth);

            // Show planet name associated with the top size ranking.
            Planet planetName = (Planet) FIRST;
            Console.WriteLine("The largest planet is "
                             + planetName.ToString() + ".");
            Console.ReadLine();
        }
    }
}
