/*********************************************************************
 * C#: A Beginner's Guide © 2015
 * McGraw-Hill Education
 * http://mhprofessional.com/computingdownload
 *********************************************************************/
using System;

namespace ConsoleApplication1 {
    class Program {
        private static void Main() {
            float house  = 200000.0f;
            float salary = 75000.0f;

            // Explicitly pass variables by reference
            AdjustForInflation(ref house, ref salary);
            Console.WriteLine("** Values After Inflation Adjustment **");
            Console.WriteLine("Home: " + house);
            Console.WriteLine("Income: " + salary);
            Console.ReadLine();
        }

        // Receive arguments explicitly by reference.
        private static void AdjustForInflation(ref float home, ref float
            income) {
            const float RATE = 1.03f;
            home   *= RATE;
            income *= RATE;
        }
    }
}
