/*********************************************************************
 * C#: A Beginner's Guide © 2015
 * McGraw-Hill Education
 * http://mhprofessional.com/computingdownload
 *********************************************************************/
using System;

namespace ConsoleApplication1 {
    class Program {
        private static void Main() {
            const double TOTAL_YEARS = 5;
            double accrualRate;
            
            // Pass uninitialized rate explicitly by reference.
            GetAccrualRate(out accrualRate, TOTAL_YEARS);
            Console.WriteLine("Accrual rate: " + accrualRate);
            Console.ReadLine();
        }

        // Receive uninitialized interest rate explicitly by reference.
        private static void GetAccrualRate(out double interest, double years) {
            const double INTEREST_RATE = 1.05;
            interest = Math.Pow(INTEREST_RATE, years);
        }
    }
}
