/*********************************************************************
 * C#: A Beginner's Guide © 2015
 * McGraw-Hill Education
 * http://mhprofessional.com/computingdownload
 *********************************************************************/
using System;

namespace ConsoleApplication1 {
    class Program {
        private static int classAndMethodLevel = 3000; // Class level declarations.
        private static int classAndBlockLevel  = 3333;

        private static void Main() {
            Console.WriteLine("Class Level: " + classAndMethodLevel);
            Console.WriteLine("Class Level: " + classAndBlockLevel);
            ShowLocalizedValues();
            Console.ReadLine();
        }

        // Receive uninitialized interest rate explicitly by reference.
        private static void ShowLocalizedValues() {
            const bool ENTER_CONDITION = true;
            int classAndMethodLevel    = 200;  // Method level declaration.
            Console.WriteLine("Method Level: " + classAndMethodLevel);

            if (ENTER_CONDITION) {
                int classAndBlockLevel = 10;   // Block level declaration.
                Console.WriteLine("Block Level: " + classAndBlockLevel);
            }
        }
    }
}
