/*********************************************************************
 * C#: A Beginner's Guide © 2015
 * McGraw-Hill Education
 * http://mhprofessional.com/computingdownload
 *********************************************************************/
using System;

namespace Starter {
    class Program {
        public static void Main() {
            const bool SHOW_WARNING = true;
            int windSpeed = 74; // Miles per hour.
            Report(windSpeed, SHOW_WARNING);
            windSpeed     = 35; // Miles per hour.
            Report(windSpeed, SHOW_WARNING);
            windSpeed     = 74; // Miles per hour.
            Report(windSpeed, !SHOW_WARNING);
            Console.ReadLine();
        }

        public static void Report(int windSpeed, bool showWarning) {
            Console.Write("Wind speed = " + windSpeed + " mph. ");
            if (windSpeed < 40 || !showWarning)
                Console.WriteLine("No wind warnings at this time.");
            else if (windSpeed >= 40 && windSpeed <= 112)
                Console.WriteLine("Warning: possible wind damage!");
        }
    }
}
