/*********************************************************************
 * C#: A Beginner's Guide © 2015
 * McGraw-Hill Education
 * http://mhprofessional.com/computingdownload
 *********************************************************************/
using System;
using System.Text.RegularExpressions;

namespace Starter {
    class Program {
        public static void Main() {
            const string PATTERN = @"^Apples|Pears|Lemons$";
            ShowValidStatus(PATTERN, "Red Apples");
            ShowValidStatus(PATTERN, "Lemons and Grapes");
            ShowValidStatus(PATTERN, "Apples");
            ShowValidStatus(PATTERN, "Pears");
            ShowValidStatus(PATTERN, "Lemons");
            Console.ReadLine();
        }

        public static bool ShowValidStatus(string pattern, string input) {
            Regex reg = new Regex(pattern);
            bool result = reg.IsMatch(input);
            if (result)
                Console.WriteLine("PASS: "
                                  + pattern + " validates " + input);
            else
                Console.WriteLine("FAIL: "
                                  + pattern + " invalidates " + input);
            return result;
        }
    }
}
