/*********************************************************************
 * C#: A Beginner's Guide © 2015
 * McGraw-Hill Education
 * http://mhprofessional.com/computingdownload
 *********************************************************************/
using System;

namespace Starter {
    class Program {
        public static void Main() {
            const int YR=1791, MTH=12, DAY=26, HRS=9, MIN=57, SEC=46;
            DateTime cBabbage = new DateTime(YR, MTH, DAY, HRS, MIN, SEC);
            Console.WriteLine("Original DateTime: " + cBabbage.ToString("G"));
            Sum(cBabbage, 14);
            Sum(cBabbage, -14);
            Console.ReadLine();
        }

        private static DateTime Sum(DateTime dt, double operand) {
            dt = dt.AddSeconds(operand);
            dt = dt.AddMinutes(operand);
            dt = dt.AddHours(operand);
            dt = dt.AddDays(operand);
            dt = dt.AddMonths((int) operand);
            dt = dt.AddYears((int) operand);
            Console.Write(operand + " added to each unit: ");
            Console.WriteLine(dt.ToString("G"));
            return dt;
        }
    }
}
