/*********************************************************************
 * C#: A Beginner's Guide © 2015
 * McGraw-Hill Education
 * http://mhprofessional.com/computingdownload
 *********************************************************************/
using System;

namespace Starter {
    class Program {
        public static void Main() {
            // Declare and initialize person objects.
            Person personA = new Person("Stephen", "Sauvestre");
            Person personB = new Person("Jorn", "Utzon");
                   personB = null;

            /* Uncomment the line below to observe the effect of
            forced garbage collection when 'Enter' is pressed. */
            // GC.Collect();
            Console.ReadLine(); // Wait for user input before shut down.
        }
    }

    class Person {
        protected string FirstName = "";
        protected string  LastName = "";

        public Person(string firstName, string lastName) {
            // Constructor
            FirstName = firstName;
            LastName  = lastName;
        }

        ~Person() {
            // Destructor
            Console.WriteLine(FirstName + " " + LastName);
            Console.WriteLine("*Removing instance.*");
        }
    }
}
