/*********************************************************************
 * C#: A Beginner's Guide © 2015
 * McGraw-Hill Education
 * http://mhprofessional.com/computingdownload
 *********************************************************************/
using System;

namespace Starter {
    class Program {
        public static void Main() {
            // Use static class.
            StaticClass.ShowName("Pisano");

            // Use static method in a non-static class.
            StaticMethods.ShowName("Pisano");

            // Use non-static method in an instantiated class.
            InstantiatedClass instantiatedClass = new InstantiatedClass("Pisano");
            instantiatedClass.ShowName();
            Console.ReadLine();
        }
    }

    static class StaticClass {
        private static string first = "Bonanno";

        public static void ShowName(string last) {
            Console.WriteLine("Full Name: " + first + " " + last);
        }
    }

    class StaticMethods {
        private static string first = "Bonanno";

        public static void ShowName(string last) {
            Console.WriteLine("Full Name: " + first + " " + last);
        }
    }

    class InstantiatedClass {
        private string first = "Bonanno";
        private string Last { get; set; }

        public InstantiatedClass(string last) {
            Last = last;
        }

        public void ShowName() {
            Console.WriteLine("Full Name: " + first + " " + Last);
        }
    }
}
