/*********************************************************************
 * C#: A Beginner's Guide © 2015
 * McGraw-Hill Education
 * http://mhprofessional.com/computingdownload
 *********************************************************************/
using System;

namespace Starter {
    class Program {

        public static void Main() {
            do {
                App.ShowCompanyTitle();   // Show title with static class.
                Console.WriteLine("1. Keep shopping");
                Console.WriteLine("2. Quit ");
                string input = Console.ReadLine().Trim();

                if (input != "1" && input != "2")
                    App.ShowInputError(); // Show error with static class.
                else if (input == "1")
                    Console.WriteLine("...shopping.");
                else {
                    Console.WriteLine("Thank you for shopping with us.");
                    break;
                }

                Console.WriteLine();
            } while (true);

            Console.ReadLine();
        }
    }

    static class App {
        public static void ShowCompanyTitle() {
            Console.WriteLine("** Hamley's Toys London England **");
        }

        public static void ShowInputError() {
            Console.WriteLine("Input error. Please try again.");
        }
    }
}
