/*********************************************************************
 * C#: A Beginner's Guide © 2015
 * McGraw-Hill Education
 * http://mhprofessional.com/computingdownload
 *********************************************************************/
using System;

namespace Starter {
    public class Program {
        public static void Main() {
            // Declare delegate object and reference method of current class.
            Output.Writer writer = new Output.Writer(Display);
            writer("Hello"); // Invoke method with delegate.
            Console.ReadLine();
        }

        private static void Display(string output) {
            Console.WriteLine(output);
        }
    }

    public class Output {
        public delegate void Writer(string output); // Declare delegate type.
    }
}
