/*********************************************************************
 * C#: A Beginner's Guide © 2015
 * McGraw-Hill Education
 * http://mhprofessional.com/computingdownload
 *********************************************************************/
using System;
using System.Collections.Generic;
using System.Linq;

namespace ConsoleApplication1 {
    class Program {
        private static void Main() {
            // Declare the DbContext.
            FoodStoreEntities context = new FoodStoreEntities();

            // Get all Product objects in the DbSet named Products.
            var products = context.Products;

            // Display details for each Product object in Products DbSet.
            foreach (Product productObject in products) {
                Console.Write(productObject.productID.ToString() + ": ");
                Console.Write(productObject.name   + " - ");
                Console.Write(productObject.vendor + " - ");
                decimal price   = (decimal) productObject.price;
                string priceStr = price.ToString("C");
                Console.WriteLine(priceStr);
            }
            Console.ReadLine();
        }
    }
}
