/*********************************************************************
 * C#: A Beginner's Guide © 2015
 * McGraw-Hill Education
 * http://mhprofessional.com/computingdownload
 *********************************************************************/
using System;
using System.Collections.Generic;
using System.Linq;

namespace ConsoleApplication1 {
    class Program {
        private static void Main() {
            FoodStoreEntities context = new FoodStoreEntities(); // Reference database.
            var query = (from p in context.Products              // Get unique rows.
                         select p.name).Distinct();

            foreach (string productName in query)                // Show product names.
                Console.WriteLine(productName);
            Console.ReadLine();
        }
    }
}
