/*********************************************************************
 * C#: A Beginner's Guide © 2015
 * McGraw-Hill Education
 * http://mhprofessional.com/computingdownload
 *********************************************************************/
using System;
using System.Collections.Generic;
using System.Linq;

namespace ConsoleApplication1 {
    class Program {
        private static void Main() {
            FoodStoreEntities context = new FoodStoreEntities(); // Reference database.
            Product product = (from p in context.Products        // Get Product object.
                               where p.productID == 1
                               select p).FirstOrDefault();

            if (product != null)                                 // Show Product detail.
                Console.WriteLine(product.productID + " - " + product.name);
            Console.ReadLine();
        }
    }
}
