/*********************************************************************
 * C#: A Beginner's Guide © 2015
 * McGraw-Hill Education
 * http://mhprofessional.com/computingdownload
 *********************************************************************/
using System;
using System.Collections.Generic;
using System.Linq;

namespace ConsoleApplication1 {
    class Program {
        private static void Main() {
            FoodStoreEntities context = new FoodStoreEntities(); // Reference database.
            var prices = from p in context.Products              // Get prices.
                select p.price;
            Console.WriteLine("Count: " + prices.Count());       // Show count.
            Console.WriteLine("Sum: " + prices.Sum());           // Show sum.
            Console.WriteLine("Max: " + prices.Max());           // Show max.
            Console.WriteLine("Min: " + prices.Min());           // Show min.
            Console.WriteLine("Average: " + prices.Average());   // Show average.
            Console.ReadLine();
        }
    }
}
