/*********************************************************************
 * C#: A Beginner's Guide © 2015
 * McGraw-Hill Education
 * http://mhprofessional.com/computingdownload
 *********************************************************************/
using System;
using System.Collections.Generic;
using System.Linq;

namespace ConsoleApplication1 {
    class Program {
        private static void Main() {
            FoodStoreEntities context = new FoodStoreEntities();    // Reference database.
            Product             fries = (from p in context.Products // Get Product object.
                                         where p.name == "French Fries"
                                         select p).FirstOrDefault();
            if (fries != null)                                      // Delete object.
                context.Products.Remove(fries);
            context.SaveChanges();                                  // Commit changes.

            foreach (var product in context.Products) // Show Products.
                Console.WriteLine(product.productID + " " + product.name);
            Console.ReadLine();
        }
    }
}
