/*********************************************************************
 * C#: A Beginner's Guide © 2015
 * McGraw-Hill Education
 * http://mhprofessional.com/computingdownload
 *********************************************************************/
using System;
using System.Collections.Generic;
using System.Linq;

namespace ConsoleApplication1 {
    class Program {
        private static void Main() {
            FoodStoreEntities context = new FoodStoreEntities();  // Reference database.
            string[]      branchArray = {"Vancouver", "Seattle"}; // Define array.
            var  query = context.Invoices
                .Where(inv => branchArray.Contains(inv.branch))   // Apply filter.
                .Select(i => new {InvoiceNum = i.invoiceNum, Branch = i.branch});

            foreach (var item in query)                           // Show results.
                Console.WriteLine(item.InvoiceNum + " " + item.Branch);
            Console.ReadLine();
        }
    }
}
