/*********************************************************************
 * C#: A Beginner's Guide © 2015
 * McGraw-Hill Education
 * http://mhprofessional.com/computingdownload
 *********************************************************************/
using System;
using System.Collections.Generic;
using System.Linq;

namespace ConsoleApplication1 {
    class Program {
        private static void Main() {
            FoodStoreEntities context = new FoodStoreEntities(); // Reference database.
            var                 query = context.Products         // Filter on names
            .Where(prod => prod.name.StartsWith("C")             // starting with 'C' or
                || prod.name.Contains("Juice"));                 // containing 'Juice'.

            foreach (var row in query)                           // Show detail.
                Console.WriteLine(row.name + ", " + row.mfg);
            Console.ReadLine();
        }
    }
}
