/*********************************************************************
 * C#: A Beginner's Guide © 2015
 * McGraw-Hill Education
 * http://mhprofessional.com/computingdownload
 *********************************************************************/
using System;
using System.Data;
using Starter.DataAccessLayer;

namespace Starter {
    class Program {
        private static void ShowOutput(DataTable dt) {
            if (dt == null)
                return;
            foreach (DataRow row in dt.Rows) {
                foreach (DataColumn col in dt.Columns) {
                    Console.Write(row[col].ToString() + ", ");
                }
                Console.WriteLine();
            }
            Console.WriteLine();
        }

        public static void Main() {
            ShowOutput(DBCommands.SpGetAllProducts());
            ShowOutput(DBCommands.SpProductDetail("Orange Juice", "GFS"));
            ShowOutput(DBCommands.RunSQL("SELECT * FROM Product"));
            Console.ReadLine();
        }
    }
}
