/*********************************************************************
 * C#: A Beginner's Guide © 2015
 * McGraw-Hill Education
 * http://mhprofessional.com/computingdownload
 *********************************************************************/
using System;
using System.Linq;
using System.Xml.Linq;

namespace ConsoleApplication1 {
    class Program {
        private static void Main() {
            const string FILE_PATH = "..\\..\\us_states.xml";
            XElement root = XElement.Load(FILE_PATH); // Load file.
            var   florida = root.Elements("state")    // Get Florida.
                 .Where(s => s.Element("name").Value == "Florida")
                 .FirstOrDefault();
            if (florida != null)                      // Delete element.
                florida.Remove();                     
            Console.Write(root);                      // Show XML.
            root.Save(FILE_PATH);                     // Save changes.
            Console.ReadLine();
        }
    }
}
